# Sid Meier's Civilization 4
# Copyright Firaxis Games 2005
# MineGameUtils
# Mine Mod By cripp
# Modular python project to eliminate or reduce merging tasks
from CvPythonExtensions import *
import CvGameUtils


# globals
gc = CyGlobalContext()

class MiningGameUtils:	
	def canBuild(self,argsList):
		# Mine Mod
		# Requires the Can Build call back to be
		# Enabled in the PythonCallbackDefines.xml file
		iX, iY, iBuild, iPlayer = argsList
		pPlot = CyMap().plot(iX, iY)		
		ibGold = gc.getInfoTypeForString("BONUS_GOLD")
		ibGems = gc.getInfoTypeForString("BONUS_GEMS")
		ibSilver = gc.getInfoTypeForString("BONUS_SILVER")		
		iBuildGold = gc.getInfoTypeForString("BUILD_GOLD")  
		iBuildGems = gc.getInfoTypeForString("BUILD_GEMS") 
		iBuildSilver = gc.getInfoTypeForString("BUILD_SILVER") 
		
		BuildList = [
			iBuildGold,
			iBuildGems,
			iBuildSilver
		]
		
		BonusList = [
			ibGold,
			ibGems,
			ibSilver
		]
		
		if not pPlot.isCity():
			iBonusType = pPlot.getBonusType(-1)
			if (iBonusType in BonusList):
				if (iBuild in BuildList):
					#CyInterface().addImmediateMessage("Can't Build it", "")
					return 0
		
		return -1	# Returning -1 means ignore; 0 means Build cannot be performed; 1 or greater means it can
# Mine Mod	
	